# Address

Local address that UDP server binds to; `*` uses all interfaces.

This parameter applies to imudp: UDP Syslog Input Module.

Name:

  Address

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Local IP address (or name) the UDP server should bind to. Use `*` to bind to all of the machine’s addresses.

## Input usage

    input(type="imudp" Address="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $UDPServerAddress — maps to Address (status: legacy)

## See also

See also imudp: UDP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.